template("build_po") {
    forward_variables_from(invoker, [])

    msgfmt = "msgfmt"
    if (host_os == "win") {
        msgfmt = "$tizen_studio/tools/msys2/usr/bin/msgfmt"
    }

    action_foreach(target_name) {
        command = "$msgfmt -o {{output}} {{source}}"
        description = "PO {{output}}"
        sources = [ target_name ]
        outputs = [
            "${root_out_dir}/$native_out_dir/{{source_target_relative}}/../{{source_name_part}}.mo",
        ]
    }
}